> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Create video (Seedance)

> This series supports OpenAI video generation formats (see the link [Video generation Sora compatible formats](/api-reference/en/video-generation-sora-compatible-format/create-video)).

Used to create video generation tasks and query status and results via task ID.

Core fields for task creation:
- `model`: Required. Model name.
- `prompt`: Required. Primary description for video generation.
- `content`: Optional, the Volcano Ark content array, mixing text, image, video, and audio materials.
- `function_mode`: Optional. Commonly used for advanced modes such as Omni-Reference.

Compatible input parameters:

The following fields are mainly used for compatibility with legacy clients and older protocols. For new integrations, please use the standard format in the “Request Example” on this page whenever possible: use the `content` array for text and reference materials, and use top-level `duration`, `ratio`, `resolution`, `fps`, and other fields for generation configuration.

- `mode`：`t2v / i2v / i2v_first_last / reference_images / reference_material`
- `image_url / image_urls / input_reference`
- `end_image_url / last_image_url`
- `video_urls / audio_urls`
- `seconds / duration`
- `aspect_ratio / ratio / size`
- `quality / resolution`
- `fps`
- `generate_audio / watermark`

Call details:
- When using `mode=reference_material` or `function_mode=omni_reference`, it is recommended to pass text and reference materials via `content`.
- `content` text items are written as `{ "type": "text", "text": "测试文字" }`.
- `content` image, video, and audio material items use the `image_url`, `video_url`, and `audio_url` object formats respectively, for example `{ "type": "image_url", "image_url": { "url": "https://example.com/ref.png" }, "role": "reference_image", "name": "1" }`.
- `role` can be used to identify the purpose of the material, and `name` can be referenced by name in prompts.
- `ratio`, `duration`, `resolution`, and `fps` will affect the final generation configuration.

Gemini Omni invocation:
- `gemini-omni` can also be invoked through this Seedance task API.
- `mode=t2v` is used for text-to-video, `mode=r2v` for generation with reference images/reference materials, and `mode=edit` for video editing.
- Text can be placed in the `text` item of `prompt` or `content`; images can be placed in `image_url / image_urls / reference_images / input_reference / content`; videos can be placed in `video_urls / content`.
- The duration field can use `duration` or `seconds`, and will be automatically mapped to the 4 / 6 / 8 / 10 second options.

MiniMax / Hailuo Invocation:
- `minimax-h3` can be invoked through this task API and supports text-to-video, image reference, and audio reference; text can be placed in the `prompt` or `content` text fields, and assets can be placed in fields such as `content`, `image_urls`, and `audio_urls`.
- `hailuo-2.3` can be invoked through this task API. A first-frame image is required. It is recommended to pass the `image_url` item of `role=first_frame` in `content`.
- `minimax-h3` commonly uses `duration=5~15` and `resolution=1440p`; `hailuo-2.3` commonly uses `duration=6` or `10` and `resolution=768p`.

Key fields in query results:
- `items[].status`
- `items[].content.video_url` or `items[].video_url`
- `items[].error`
- `items[].progress`

Error fields: `error.code`, `error.message`.

```json
{
  "error": {
    "code": "invalid_request_error",
    "message": "requires at least one image in `images`"
  }
}
```



## OpenAPI

````yaml api-reference/en/openapi.json POST /api/v3/contents/generations/tasks
openapi: 3.0.0
info:
  title: Overseas Expansion Camp API Reference Documentation
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI format (Chat)
  - name: OpenAI Format (Responses)
  - name: Gemini Format for Image Generation
  - name: Image generationOpenAI DALL-E format
  - name: List models
  - name: Video generationHappyHorse and Wan
  - name: Video generation Kling format
  - name: Video generation Omni and Veo formats
  - name: Video generation Seedance
  - name: Video generation Sora compatible formats
  - name: Video generation Vidu
  - name: Music generation task format
paths:
  /api/v3/contents/generations/tasks:
    post:
      tags:
        - Video generation Seedance
      summary: Create video (Seedance)
      description: >-
        This series supports OpenAI video generation formats (see the link
        [Video generation Sora compatible
        formats](/api-reference/en/video-generation-sora-compatible-format/create-video)).


        Used to create video generation tasks and query status and results via
        task ID.


        Core fields for task creation:

        - `model`: Required. Model name.

        - `prompt`: Required. Primary description for video generation.

        - `content`: Optional, the Volcano Ark content array, mixing text,
        image, video, and audio materials.

        - `function_mode`: Optional. Commonly used for advanced modes such as
        Omni-Reference.


        Compatible input parameters:


        The following fields are mainly used for compatibility with legacy
        clients and older protocols. For new integrations, please use the
        standard format in the “Request Example” on this page whenever possible:
        use the `content` array for text and reference materials, and use
        top-level `duration`, `ratio`, `resolution`, `fps`, and other fields for
        generation configuration.


        - `mode`：`t2v / i2v / i2v_first_last / reference_images /
        reference_material`

        - `image_url / image_urls / input_reference`

        - `end_image_url / last_image_url`

        - `video_urls / audio_urls`

        - `seconds / duration`

        - `aspect_ratio / ratio / size`

        - `quality / resolution`

        - `fps`

        - `generate_audio / watermark`


        Call details:

        - When using `mode=reference_material` or
        `function_mode=omni_reference`, it is recommended to pass text and
        reference materials via `content`.

        - `content` text items are written as `{ "type": "text", "text": "测试文字"
        }`.

        - `content` image, video, and audio material items use the `image_url`,
        `video_url`, and `audio_url` object formats respectively, for example `{
        "type": "image_url", "image_url": { "url": "https://example.com/ref.png"
        }, "role": "reference_image", "name": "1" }`.

        - `role` can be used to identify the purpose of the material, and `name`
        can be referenced by name in prompts.

        - `ratio`, `duration`, `resolution`, and `fps` will affect the final
        generation configuration.


        Gemini Omni invocation:

        - `gemini-omni` can also be invoked through this Seedance task API.

        - `mode=t2v` is used for text-to-video, `mode=r2v` for generation with
        reference images/reference materials, and `mode=edit` for video editing.

        - Text can be placed in the `text` item of `prompt` or `content`; images
        can be placed in `image_url / image_urls / reference_images /
        input_reference / content`; videos can be placed in `video_urls /
        content`.

        - The duration field can use `duration` or `seconds`, and will be
        automatically mapped to the 4 / 6 / 8 / 10 second options.


        MiniMax / Hailuo Invocation:

        - `minimax-h3` can be invoked through this task API and supports
        text-to-video, image reference, and audio reference; text can be placed
        in the `prompt` or `content` text fields, and assets can be placed in
        fields such as `content`, `image_urls`, and `audio_urls`.

        - `hailuo-2.3` can be invoked through this task API. A first-frame image
        is required. It is recommended to pass the `image_url` item of
        `role=first_frame` in `content`.

        - `minimax-h3` commonly uses `duration=5~15` and `resolution=1440p`;
        `hailuo-2.3` commonly uses `duration=6` or `10` and `resolution=768p`.


        Key fields in query results:

        - `items[].status`

        - `items[].content.video_url` or `items[].video_url`

        - `items[].error`

        - `items[].progress`


        Error fields: `error.code`, `error.message`.


        ```json

        {
          "error": {
            "code": "invalid_request_error",
            "message": "requires at least one image in `images`"
          }
        }

        ```
      operationId: create__seedance__task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
              properties:
                model:
                  type: string
                  example: doubao-seedance-2-0-260128
                  enum:
                    - doubao-seedance-1-0-lite-i2v-250428
                    - doubao-seedance-1-0-lite-t2v-250428
                    - doubao-seedance-1-0-pro-250528
                    - doubao-seedance-1-0-pro-fast-251015
                    - doubao-seedance-1-5-pro-251215
                    - doubao-seedance-2-0-260128
                    - doubao-seedance-2-0-fast-260128
                    - minimax-h3
                    - hailuo-2.3
                    - gemini-omni
                  description: >-
                    Required. Model name. You can pass the Seedance external
                    model, `gemini-omni`, `minimax-h3`, or `hailuo-2.3`.
                prompt:
                  type: string
                  example: 参考素材生成一段剧情短视频
                  description: >-
                    Required. The primary description for video generation;
                    cannot be empty.
                content:
                  type: array
                  description: >-
                    Optional. The Volcano Ark content array, which interleaves
                    text and media items in order. Text items use `{ "type":
                    "text", "text": "..." }`; image, video, and audio items use
                    `image_url`, `video_url`, and `audio_url` objects
                    respectively, with `url` placed inside them. These can be
                    used together with `role` (such as `reference_image`,
                    `reference_video`, and `reference_audio`) and `name` for
                    text references.
                  items:
                    type: object
                    required:
                      - type
                    properties:
                      type:
                        type: string
                        enum:
                          - text
                          - image_url
                          - video_url
                          - audio_url
                        description: Content item type.
                      text:
                        type: string
                        description: Text content, used only when type=text.
                      image_url:
                        oneOf:
                          - type: string
                          - type: object
                            properties:
                              url:
                                type: string
                        description: >-
                          Image URL. Recommended object format:
                          `{"url":"https://..."}`.
                      video_url:
                        oneOf:
                          - type: string
                          - type: object
                            properties:
                              url:
                                type: string
                        description: >-
                          Video URL. Recommended object syntax:
                          `{"url":"https://..."}`.
                      audio_url:
                        oneOf:
                          - type: string
                          - type: object
                            properties:
                              url:
                                type: string
                        description: >-
                          Audio URL. Recommended object format:
                          `{"url":"https://..."}`.
                      role:
                        type: string
                        description: >-
                          Asset usage identifier. Common values include
                          reference_image, reference_video, and reference_audio.
                      name:
                        type: string
                        description: >-
                          Asset name, can be referenced in text prompts or used
                          to distinguish between multiple assets.
                function_mode:
                  type: string
                  description: >-
                    Optional. Advanced feature mode, such as `omni_reference`
                    for all-in-one reference.
                mode:
                  type: string
                  description: >-
                    Optional. Compatibility mode fields, such as `t2v`, `i2v`,
                    `i2v_first_last`, `reference_images`, and
                    `reference_material`; `gemini-omni` supports `t2v`, `r2v`,
                    and `edit`.
                image_url:
                  type: string
                  description: Optional. URL of a single reference image.
                image_urls:
                  type: array
                  items:
                    type: string
                  description: Optional. A list of URLs for multiple reference images.
                input_reference:
                  type: string
                  description: Optional. Compatible with reference input fields.
                end_image_url:
                  type: string
                  description: Optional. The URL of the last-frame reference image.
                last_image_url:
                  type: string
                  description: Optional. URL alias for the last frame reference image.
                video_urls:
                  type: array
                  items:
                    type: string
                  description: Optional. List of reference video URLs.
                audio_urls:
                  type: array
                  items:
                    type: string
                  description: Optional. List of reference audio URLs.
                seconds:
                  oneOf:
                    - type: number
                    - type: string
                  description: >-
                    Optional. Video duration in seconds; compatible with
                    `duration`.
                duration:
                  oneOf:
                    - type: number
                    - type: string
                  description: >-
                    Optional. Video duration in seconds; compatible with
                    `seconds`.
                aspect_ratio:
                  type: string
                  description: Optional. Aspect ratio, such as `16:9`.
                ratio:
                  type: string
                  description: Optional. Aspect ratio aliases, such as `16:9`.
                size:
                  type: string
                  description: Optional. Field for resolution or dimension compatibility.
                quality:
                  type: string
                  description: Optional. Generation quality configuration.
                resolution:
                  type: string
                  description: Optional. The output resolution.
                fps:
                  type: number
                  description: Optional. Frame rate.
                generate_audio:
                  type: boolean
                  description: Optional. Whether to generate audio.
                watermark:
                  type: boolean
                  description: Optional. Whether to add a watermark.
            examples:
              seedance_tasks_reference_material:
                summary: Seedance content task
                value:
                  model: doubao-seedance-1-0-lite-i2v-250428
                  mode: reference_material
                  prompt: 测试文字
                  content:
                    - type: text
                      text: 测试文字
                    - type: image_url
                      image_url:
                        url: >-
                          https://imageproxy.zhongzhuan.chat/api/proxy/image/9979f1a754b3571d5e8bdcc397eedf53.png
                      role: reference_image
                      name: '1'
                    - type: video_url
                      video_url:
                        url: >-
                          https://imageproxy.zhongzhuan.chat/api/proxy/video/1979f1a754b3571d5e8bdcc397eedf53.mp4
                      role: reference_video
                      name: '2'
                    - type: audio_url
                      audio_url:
                        url: >-
                          https://imageproxy.zhongzhuan.chat/api/proxy/video/3979f1a754b3571d5e8bdcc397eedf53.mp3
                      role: reference_audio
                      name: '3'
                  duration: 5
                  size: 1280x720
              minimax_h3_tasks_content:
                summary: MiniMax H3 content task
                value:
                  model: minimax-h3
                  prompt: A cinematic product video with smooth camera motion
                  content:
                    - type: text
                      text: >-
                        Use the product image as reference and match the rhythm
                        of the audio.
                    - type: image_url
                      image_url:
                        url: https://example.com/product.jpg
                      role: reference_image
                      name: product
                    - type: audio_url
                      audio_url:
                        url: https://example.com/music.mp3
                      role: reference_audio
                      name: music
                  duration: 8
                  resolution: 1440p
                  ratio: '16:9'
                  generate_audio: true
              hailuo_2_3_tasks_first_frame:
                summary: Hailuo 2.3 First-frame image-to-video
                value:
                  model: hailuo-2.3
                  prompt: >-
                    The camera slowly pushes in, natural motion and cinematic
                    lighting.
                  content:
                    - type: text
                      text: >-
                        The camera slowly pushes in, natural motion and
                        cinematic lighting.
                    - type: image_url
                      image_url:
                        url: https://example.com/first-frame.jpg
                      role: first_frame
                      name: first
                  duration: 10
                  resolution: 768p
                  ratio: '16:9'
              gemini_omni_seedance_t2v:
                summary: Gemini Omni t2v
                value:
                  model: gemini-omni
                  mode: t2v
                  prompt: A cinematic product video with smooth camera motion
                  duration: 8
                  size: 1280x720
              gemini_omni_seedance_r2v:
                summary: Gemini Omni r2v
                value:
                  model: gemini-omni
                  mode: r2v
                  content:
                    - type: text
                      text: Keep the product consistent and create a short ad video
                    - type: image_url
                      image_url:
                        url: https://example.com/product.jpg
                  duration: 8
                  size: 1280x720
              gemini_omni_seedance_edit:
                summary: Gemini Omni edit
                value:
                  model: gemini-omni
                  mode: edit
                  content:
                    - type: text
                      text: Change the outfit color while keeping the motion natural
                    - type: video_url
                      video_url:
                        url: https://example.com/input.mp4
                    - type: image_url
                      image_url:
                        url: https://example.com/style.jpg
                  duration: 8
                  size: 1280x720
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                properties:
                  id:
                    type: string
                    example: task_xxx
                    description: Task ID.
                  status:
                    type: string
                    description: Task status.
                    enum:
                      - queued
                      - running
                      - succeeded
                      - failed
                  created_at:
                    type: string
                    description: Creation time (Unix seconds).
                  items:
                    type: string
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Task ID.
                        status:
                          type: string
                          description: >-
                            Task status, commonly `queued`, `running`,
                            `succeeded`, and `failed`.
                        content:
                          type: object
                          properties:
                            video_url:
                              type: string
                              description: Video result URL.
                        video_url:
                          type: string
                          description: Video result URL.
                        error:
                          type: string
                          description: Error message returned when the request fails.
                        progress:
                          type: string
                          description: Task progress.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication.
        Format: `Authorization: Bearer sk-xxxxxx`

````